Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.base
Class JRBaseElementGroup

    java.lang.Object
      net.sf.jasperreports.engine.base.JRBaseElementGroup

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, JRChild, JRCloneable, JRElementGroup, JRVisitable

Direct Known Subclasses:
  BaseListContents, CompiledCell, JRBaseBand, JRBaseCellContents, JRDesignElementGroup

    public class JRBaseElementGroup

extends java.lang.Object
implements JRElementGroup, java.io.Serializable

Version:
  $Id: JRBaseElementGroup.java 3939 2010-08-20 09:52:00Z teodord $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)
See Also:
  Serialized Form

Field Summary
`protected java.util.List` | `children`
`protected JRElementGroup` | `elementGroup`

Constructor Summary
`protected` | `JRBaseElementGroup()`
`protected` | `JRBaseElementGroup(JRElementGroup elementGrp, JRBaseObjectFactory factory)`

Method Summary
`java.lang.Object` | `clone()`
`java.lang.Object` | `clone(JRElementGroup parentGroup)`
`java.util.List` | `getChildren()` Gets a list of all direct children elements or elements groups.
`static JRElement` | `getElementByKey(JRElement[] elements, java.lang.String key)`
`JRElement` | `getElementByKey(java.lang.String key)` Gets an element from this group, based on its element key.
`JRElementGroup` | `getElementGroup()` Gets the parent element group.
`JRElement[]` | `getElements()` Gets an array containing all the elements and element groups in the hierarchy.
`static JRElement[]` | `getElements(java.util.List children)`
`void` | `visit(JRVisitor visitor)`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### children

    protected java.util.List children

### elementGroup

    protected JRElementGroup elementGroup

Constructor Detail

### JRBaseElementGroup

    protected JRBaseElementGroup()

### JRBaseElementGroup

    protected JRBaseElementGroup(JRElementGroup elementGrp,
                                 JRBaseObjectFactory factory)

Method Detail

### getChildren

    public java.util.List getChildren()

  Description copied from interface: `JRElementGroup`
  Gets a list of all direct children elements or elements groups.

  Specified by:
    `getChildren` in interface `JRElementGroup`

### getElementGroup

    public JRElementGroup getElementGroup()

  Description copied from interface: `JRElementGroup`
  Gets the parent element group.

  Specified by:
    `getElementGroup` in interface `JRElementGroup`
  Returns:
    an instance of this class, or null if this is the root group.

### getElements

    public static JRElement[] getElements(java.util.List children)

### getElements

    public JRElement[] getElements()

  Description copied from interface: `JRElementGroup`
  Gets an array containing all the elements and element groups in the hierarchy.

  Specified by:
    `getElements` in interface `JRElementGroup`

### getElementByKey

    public static JRElement getElementByKey(JRElement[] elements,
                                            java.lang.String key)

### getElementByKey

    public JRElement getElementByKey(java.lang.String key)

  Description copied from interface: `JRElementGroup`
  Gets an element from this group, based on its element key.

  Specified by:
    `getElementByKey` in interface `JRElementGroup`

### visit

    public void visit(JRVisitor visitor)

  Specified by:
    `visit` in interface `JRVisitable`

### clone

    public java.lang.Object clone()

  Specified by:
    `clone` in interface `JRCloneable`
  Overrides:
    `clone` in class `java.lang.Object`

### clone

    public java.lang.Object clone(JRElementGroup parentGroup)

  Specified by:
    `clone` in interface `JRChild`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com